dpkg-vendor(1)

NOME
dpkg-vendor - recolhe informação acerca dos fornecedores da distribuição

RESUMO
dpkg-vendor [option...] command

DESCRIÇÃO
dpkg-vendor é uma ferramenta para inquirir informação acerca dos fornecedores listados em /usr/pkg/share/dpkg/dpkg/origins. /usr/pkg/share/dpkg/dpkg/origins/default contém informação acerca do fornecedor actual.

The origin files provide metadata about specific vendors, such as their URL or where to file bug reports, and are usually used both to determine the behavior of tools and resulting contents during package builds targeting a specific vendor, and to describe the provenance of packages.

Packages can explicitly declare their vendor by including an Origin field, otherwise the vendor for a package without such field is assumed to be the one pointed to by the default origin symbolic link.

The default symbolic link is also used to denote the origin of the current installation managed by dpkg, be that a full distribution or an overlay on top of an existing base system that contains either no packaging system or a native one.

Este programa foi introduzido no dpkg 1.15.1.

COMANDOS

--is vendor
    Termina com 0 se o fornecedor actual for vendor. Caso contrário, termina com 1.

--derives-from vendor
    Termina com 0 se o fornecedor actual da distribuição é um derivativo de vendor, caso contrário termina com 1. Usa o campo Parent para explorar todos os ancestrais do fornecedor actual.

--query field
    Escreve na saída standard o valor do field vendor-specific para o fornecedor actual.

--help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

OPÇÕES

--vendor vendor
    Assume que o actual fornecedor é fornecedor em vez de o descobrir com a variável de ambiente DEB_VENDOR ou /usr/pkg/share/dpkg/dpkg/origins/default.

AMBIENTE

DEB_VENDOR
    Esta definição define o fornecedor actual. Se não definida, irá descobrir o fornecedor actual ao ler /usr/pkg/share/dpkg/dpkg/origins/default.

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

FICHEIROS

  Suporte a empacotamento

/usr/pkg/share/dpkg/vendor.mk
    Makefile snippet that sets the current vendor and its parent into variables, and provides make macros to check for derivatives (since dpkg 1.16.1).

VEJA TAMBÉM
deb-origin(5).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.